Package uk.ac.starlink.vo

# Interface UwsJobInfo.Error

Enclosing interface:
  `UwsJobInfo`

public static interface UwsJobInfo.Error
Represents error information associated with a UWS job.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`
Returns the error message.
`boolean`
`hasDetail()`
Indicates whether a more detailed error message is available.
`boolean`
`isFatal()`
Indicates whether this error is fatal.

## Method Details

### isFatal

boolean isFatal()
Indicates whether this error is fatal.

Returns:
  true iff fatal

### hasDetail

boolean hasDetail()
Indicates whether a more detailed error message is available. If so it can be found at the jobid/error endpoint.

Returns:
  true iff detail is available

### getMessage

String getMessage()
Returns the error message.

Returns:
  message